﻿footer{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
    padding-bottom: 60px;
}
.footer-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 1;
    font-size: 0;
}
.footer-bg{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000;
}
.footer-bg>span{
    opacity: 0.1;
}
.footer-menu-box{
    padding: 100px 0;
}
.footer-menu>li{
    display: inline-block;
    vertical-align: middle;
    margin-right: 100px;
}
.footer-menu>li:last-child{
    margin-right: 0;
}
.footer-menu-title{
    font-family: 'Noto Sans TC';
    font-size: 18px;
    letter-spacing: 0.06em;
    line-height: 26px;
    color: #fff;
}
.footer-info-logo-box{
    width: 230px;
    display: block;
}
.footer-info-list-box{
    width: 530px;
    max-width: 100%;
    display: inline-block;
    vertical-align: bottom;
}
.footer-info-list-address{
    margin-bottom: 20px;
    margin-top: 10px;
}
.footer-info-list-address .footer-info-list-text{
    font-family: 'Noto Sans TC';
    font-size: 16px;
    letter-spacing: 0.06em;
    line-height: 26px;
    color: #fff;
}
.footer-info-list .footer-info-list-text{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 18px;
    letter-spacing: 0.06em;
    line-height: 26px;
    color: #fff;
}
.footer-info-list-email .footer-info-list-text{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 14px;
    letter-spacing: 0.06em;
    line-height: 26px;
    color: #fff;
}
.footer-info-list-email .footer-info-list-text>i{
    margin-right: 5px;
}
.footer-info-server-box{
    width: calc(100% - 530px);
    display: inline-block;
    vertical-align: bottom;
}
.footer-info-server-title{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 18px;
    letter-spacing: 0.06em;
    line-height: 26px;
    color: #fff;
}
.footer-info-server{
    width: 100%;
    /* height: 80px; */
    /* display: flex; */
    /* display: -webkit-flex; */
    /* align-content: flex-start; */
    /* flex-wrap: wrap; */
    /* flex-direction: column; */
    display: block;
    margin-top: 10px;
}
.footer-info-server-text{
    display: inline-block;
    vertical-align: middle;
    width: 180px;
    box-sizing: border-box;
    padding-right: 10px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 14px;
    letter-spacing: 0.06em;
    line-height: 26px;
    color: #ccc;
}
.footer-web{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 14px;
    line-height: 26px;
    color: #ccc;
    margin-top: 50px;
}
.footer-web>span{
    font-weight: 300;
}

.footer-top-box{
    width: 60px;
    height: 60px;
    position: fixed;
    bottom: 10%;
    right: 7%;
    box-sizing: border-box;
    border: 1px solid #fff;
    background-color: #000;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    z-index: 9;
    transition: all .3s linear;
}
.footer-top-box p{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 14px;
    line-height: 1;
    color: #ccc;
    transition: all .3s linear;
}
.footer-top-box span{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 14px;
    line-height: 1;
    color: #ccc;
    transition: all .3s linear;
}



@media only screen and (max-width: 1280px){
    .footer-box{
        width: 1200px;
    }
}
@media only screen and (max-width: 1200px){
    .footer-box{
        width: 1000px;
    }
    .footer-menu{
        display: flex;
        display: -webkit-flex;
        align-items: center;
        -webkit-align-items: center;
        justify-content: space-between;
        -webkit-justify-content: space-between;
        flex-direction: row;
    }
}
@media only screen and (max-width: 1000px){
    .footer-box{
        width: 750px;
    }
    .footer-menu>li{
        margin-right: 0;
    }
    .footer-info-list-box {
        width: 300px;
    }
}
@media only screen and (max-width: 768px){
    footer{
        padding-bottom: 0;
    }
    .footer-box{
        width: 550px;
        padding: 40px 0;
    }
    .footer-menu-box,
    .footer-top-box{
        display: none;
    }
    .footer-info-list-box{
        display: block;
        width: 100%;
    }
    .footer-info-server-box{
        width: 100%;
        display: block;
        margin-top: 30px;
    }
}
@media only screen and (max-width: 550px){
    .footer-box{
        width: 95vw;
        padding: 20px 0;
    }
    .footer-info-list-address .footer-info-list-text{
        line-height: 22px;
    }
    .footer-info-list .footer-info-list-text{
        font-size: 16px;
        line-height: 22px;
    }
    .footer-info-server-box{
        margin-top: 20px;
    }
    .footer-info-server{
        /* height: 110px; */
        margin-top: 5px;
    }
    .footer-info-server-text{
        width: 50%;
        line-height: 22px;
    }
    .footer-web{
        font-size: 12px;
        line-height: 1.2;
        margin-top: 20px;
        letter-spacing: -0.03em;
    }
    .footer-web>span{
        display: block;
    }
}


@media only screen and (min-width: 769px){
    .footer-menu-title,
    .footer-info-list-address .footer-info-list-text,
    .footer-info-list .footer-info-list-text,
    .footer-info-list-email .footer-info-list-text,
    .footer-info-server-text{
        transition: all .3s linear;
    }
    .footer-menu-title:hover,
    .footer-info-list-address .footer-info-list-text:hover,
    .footer-info-list .footer-info-list-text:hover,
    .footer-info-list-email .footer-info-list-text:hover,
    .footer-info-server-text:hover,
    .footer-web a:hover{
        color: #fba804;
    }
    .footer-top-box:hover{
        background-color: #fba804;
        border-color: #fba804;
    }
    .footer-top-box:hover>p,
    .footer-top-box:hover>span{
        color: #000;
        font-weight: 700;
    }
}